Explain multiple access decisions
curl --request POST \
--url https://api.akua.dev/v1/access_decisions:explainBatch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requests": [
{
"permission": "offers.create_via_channel",
"resource": {
"offer_channel_id": "<string>",
"product_id": "<string>",
"target_workspace_id": "<string>"
},
"subject": {
"user_id": "<string>",
"organization_id": "<string>",
"workspace_id": "<string>"
},
"context": {
"selected_organization_id": "<string>"
}
}
]
}
'import requests
url = "https://api.akua.dev/v1/access_decisions:explainBatch"
payload = { "requests": [
{
"permission": "offers.create_via_channel",
"resource": {
"offer_channel_id": "<string>",
"product_id": "<string>",
"target_workspace_id": "<string>"
},
"subject": {
"user_id": "<string>",
"organization_id": "<string>",
"workspace_id": "<string>"
},
"context": { "selected_organization_id": "<string>" }
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requests: [
{
permission: 'offers.create_via_channel',
resource: {
offer_channel_id: '<string>',
product_id: '<string>',
target_workspace_id: '<string>'
},
subject: {user_id: '<string>', organization_id: '<string>', workspace_id: '<string>'},
context: {selected_organization_id: '<string>'}
}
]
})
};
fetch('https://api.akua.dev/v1/access_decisions:explainBatch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"decisions": [
{
"decision": {
"result": "allowed"
},
"action": {
"id": "<string>",
"name": "<string>"
},
"reasons": [
{
"key": "<string>",
"source": "<string>",
"message": "<string>",
"metric": "<string>",
"limit": 123,
"usage": 123,
"remaining": 123,
"resourceId": "<string>",
"resourceType": "<string>",
"relationship": "<string>"
}
]
}
]
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}Access Decisions
Explain multiple access decisions
Explains an ordered batch of access actions for the authenticated requester.
POST
/
access_decisions:explainBatch
Explain multiple access decisions
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Headers
Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.
Required string length:
1 - 53Example:
"ws_j572abc123def456"
Body
application/json
Required array length:
1 - 25 elements- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
- Option 24
- Option 25
- Option 26
- Option 27
- Option 28
- Option 29
- Option 30
- Option 31
- Option 32
- Option 33
- Option 34
- Option 35
- Option 36
- Option 37
- Option 38
- Option 39
- Option 40
Show child attributes
Show child attributes
Response
Ordered access decision explanations
Required array length:
1 - 25 elementsShow child attributes
Show child attributes
⌘I